<type 'exceptions.OSError'>: [Errno 9] Bad file descriptor

Bug #755600 reported by Emmanuel CHRISMENT on 2011-04-09
108
This bug affects 13 people
Affects Status Importance Assigned to Milestone
aptdaemon (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: aptdaemon

Error happened when removing mail-notification through application manager

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: aptdaemon 0.41+bzr614-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Uname: Linux 2.6.38.2-1 i686
NonfreeKernelModules: fglrx
Annotation: Removing software failed
Architecture: i386
Date: Sat Apr 9 17:32:25 2011
DesktopFile: /usr/share/aptdaemon/aptdaemon.desktop
ExecutablePath: /usr/sbin/aptd
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
PackageArchitecture: all
SourcePackage: aptdaemon
Title: <type 'exceptions.OSError'>: [Errno 9] Bad file descriptor
TransactionDepends: [[], [], ['libconvert-binhex-perl=1.119+pristine-3', 'getlive=0.59-1', 'libcrypt-ssleay-perl=0.57-2', 'libnet-ssleay-perl=1.36-1ubuntu1', 'fetchyahoo=2.12.4-1', 'libmime-tools-perl=5.427-2', 'procmail=3.22-19', 'libio-stringy-perl=2.110-4', 'mail-notification-evolution=5.4.dfsg.1-2.2ubuntu1', 'libgnomevfs2-extra=1:2.24.4-0ubuntu4', 'libgmime-2.0-2a=2.2.25-2', 'libio-socket-ssl-perl=1.37-1', 'libnet-libidn-perl=0.12.ds-1'], [], [], [], []]
TransactionErrorCode: error-unknown
TransactionKwargs: {}
TransactionLocale: fr_FR.UTF8
TransactionOutput:

TransactionPackages: [[], [], [dbus.String(u'mail-notification')], [], [], []]
TransactionRole: role-remove-packages
UpgradeStatus: No upgrade log present (probably fresh install)

Changed in aptdaemon (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
tags: added: precise
Daniel Ejsing-Duun (zilvador) wrote :

Happened just now too while removing a library. Maybe because of removing several files at once:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 441, in install_archives
    install_progress.startUpdate()
AttributeError: 'DaemonInstallProgress' object has no attribute 'startUpdate'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/aptdaemon/worker.py", line 332, in _process_transaction
    self.commit_packages(trans, *trans.packages)
  File "/usr/lib/python3/dist-packages/aptdaemon/worker.py", line 394, in commit_packages
    self._apply_changes(trans)
  File "/usr/lib/python3/dist-packages/aptdaemon/pkcompat.py", line 2900, in _apply_changes
    install_range)
  File "/usr/lib/python3/dist-packages/aptdaemon/worker.py", line 1132, in _apply_changes
    self._cache.commit(fetch_progress, inst_progress)
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 481, in commit
    res = self.install_archives(pm, install_progress)
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 443, in install_archives
    install_progress.start_update()
  File "/usr/lib/python3/dist-packages/aptdaemon/progress.py", line 640, in start_update
    lock.status_lock.release()
  File "/usr/lib/python3/dist-packages/aptdaemon/lock.py", line 83, in release
    os.close(self.fd)
OSError: [Errno 9] Bad file descriptor

tags: added: quantal
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers